Bug 847022

Summary: If RHQ server is down, UI shows "Server returned FAILURE with no error message"
Product: [Other] RHQ Project Reporter: Jay Shaughnessy <jshaughn>
Component: Core UIAssignee: Jay Shaughnessy <jshaughn>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: high    
Version: 4.4CC: hrupp, jsanda, jshaughn, mazz, mfoley, skondkar
Target Milestone: ---   
Target Release: JON 3.1.1   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 838683 Environment:
Last Closed: 2013-09-03 11:14:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 838683    
Bug Blocks:    

Description Jay Shaughnessy 2012-08-09 09:26:46 EDT
+++ This bug was initially created as a clone of Bug #838683 +++

For some reason we are no longer seeing the message displayed originally by the fix for Bug #729329.

Instead we see "Server returned FAILURE with no error message"


Test Note: can try this by

1) start server

2) connect a browser session

   note - test all supported browser types

3) log in and go to global dashboard

4) stop server

5) either wait for auto refresh or force a portlet refresh

Ensure a proper message is displayed, indicating the server is probably down.

--- Additional comment from jshaughn@redhat.com on 2012-08-09 09:24:18 EDT ---

master commit c1d401ff6c2b495cb599dfb66e0dd157b6442614

 More recent versions of Firefox, and possibly other browsers, have changed
 the request's response code in this situation.  Added updated handling.
 Also, fixed an I18N issue.
Comment 1 Jay Shaughnessy 2012-08-20 10:05:30 EDT
release/jon3.1.x commit 8d05d1b1c7452f0c2834f455d6e653f5cc9390e0

More recent versions of Firefox, and possibly other browsers, have changed
the request's response code in this situation.  Added updated handling.
Also, fixed an I18N issue.

Cherry pick of master c1d401ff6c2b495cb599dfb66e0dd157b6442614



Test Notes:
Test on all supported browsers.  Just start a GUI session and navigate to a refreshable view (dashboard works).  Kill the server.  Try a refresh.  You should get the appropriate message.
Comment 2 John Sanda 2012-08-22 01:49:49 EDT
Moving to ON_QA. The JON 3.1.1 ER3 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=230321.
Comment 3 Sunil Kondkar 2012-08-22 05:01:17 EDT
Verified on Version: 3.1.1.ER3 Build Number: 37108ca:67c6de8

Verified on IE 8.0.7600.16385 and Firefox 10.0.2

After following the steps, verified that it displays a message "The server is unreachable and may be down".
Comment 4 Heiko W. Rupp 2013-09-03 11:14:01 EDT
Bulk closing of old issues in VERIFIED state.